Skip to main content
GET
/
projects
/
{project_reference}
/
work
List Work definitions
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/work \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "outcome": "<string>",
      "expectations": [
        {
          "id": "<string>",
          "description": "<string>",
          "optional": true
        }
      ],
      "acceptance_criteria": [
        {
          "id": "<string>",
          "description": "<string>",
          "optional": true
        }
      ],
      "source_path": "<string>",
      "execution_counts": {
        "pending": 1,
        "running": 1,
        "blocked": 1,
        "completed": 1,
        "failed": 1,
        "cancelled": 1
      },
      "updated_at": "<string>",
      "agent_id": "<string>",
      "work_schedule": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "target": {
          "id": "<string>",
          "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "schedule": "<string>",
        "timezone": "<string>",
        "runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "config": {},
        "timeout_seconds": 123,
        "backoff_limit": 123,
        "concurrency_policy": "<string>",
        "last_scheduled_at": "<string>",
        "last_successful_at": "<string>",
        "max_runs": 1,
        "run_count": 1,
        "completed_at": "<string>",
        "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "run_as_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "<string>",
        "updated_at": "<string>"
      },
      "schedule": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "target": {
          "id": "<string>",
          "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "schedule": "<string>",
        "timezone": "<string>",
        "runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "config": {},
        "timeout_seconds": 123,
        "backoff_limit": 123,
        "concurrency_policy": "<string>",
        "last_scheduled_at": "<string>",
        "last_successful_at": "<string>",
        "max_runs": 1,
        "run_count": 1,
        "completed_at": "<string>",
        "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "run_as_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Query Parameters

runtime_target_kind
enum<string> | null

Provide the runtime target kind.

Available options:
main_branch,
environment,
preview_branch
target_environment_id
string<uuid> | null

Provide the target environment id.

target_branch_id
string<uuid> | null

Provide the target branch id.

source_target_kind
enum<string>

Provide the source target kind.

Available options:
project,
main_branch,
environment,
preview_branch

Response

Project Work definitions

data
object[]
required